# 端口
server:
  port: 9002
# 多环境配置
spring:
  profiles:
#    active: dev
    active: prod

  application:
    name: server

  # 连接池配置
  datasource:
    druid:
      initial-size: 5
      min-idle: 5
      max-active: 20
      max-wait: 30000
      time-between-eviction-runs-millis: 60000
      min-evictable-idle-time-millis: 300000
      test-while-idle: true
      test-on-borrow: true
      test-on-return: false
      remove-abandoned: true
      remove-abandoned-timeout: 1800
      #pool-prepared-statements: false
      #max-pool-prepared-statement-per-connection-size: 20
      filters: stat, wall
      validation-query: SELECT 'x'
      aop-patterns: com.gxwebsoft.*.*.service.*
      stat-view-servlet:
        url-pattern: /druid/*
        reset-enable: true
        login-username: admin
        login-password: admin

  # json时间格式设置
  jackson:
    time-zone: GMT+8
    date-format: yyyy-MM-dd HH:mm:ss

  # 设置上传文件大小
  servlet:
    multipart:
      max-file-size: 100MB
      max-request-size: 100MB
  redis:
    database: 0
    host: 127.0.0.1
    port: 6379
    password:

  # 邮件服务器配置
  mail:
    host: smtp.qq.com
    username: 170083662@qq.com
    password: mnfokualhfaucaie
    default-encoding: UTF-8
    properties:
      mail:
        smtp:
          auth: true
          socketFactory:
            class: javax.net.ssl.SSLSocketFactory
            port: 465

# Mybatis-plus配置
mybatis-plus:
  mapper-locations: classpath*:com/gxwebsoft/**/*Mapper.xml
  configuration:
    map-underscore-to-camel-case: true
    cache-enabled: true
  global-config:
    :banner: false
    db-config:
      id-type: auto
      logic-delete-value: 1
      logic-not-delete-value: 0

# 框架配置
config:
  open-office-home: C:/OpenOffice4/
  swagger-base-package: com.gxwebsoft
  swagger-title: 网宿软件 API文档
  swagger-description: websoft - 基于java spring、vue3、antd构建的前后端分离快速开发框架
  swagger-version: 2.0
  token-key: WLgNsWJ8rPjRtnjzX/Gx2RGS80Kwnm/ZeLbvIL+NrBs=
  # 主服务器
  server-url: https://server.gxwebsoft.com/api
  # 文件服务器
  file-server: https://file.gxwebsoft.com
#  upload-path: /Users/gxwebsoft/Documents/uploads/
#  local-upload-path: /Users/gxwebsoft/Documents/uploads/

  # 阿里云OSS云存储
  endpoint: https://oss-cn-shenzhen.aliyuncs.com
  accessKeyId: LTAI4GKGZ9Z2Z8JZ77c3GNZP
  accessKeySecret: BiDkpS7UXj72HWwDWaFZxiXjNFBNCM
  bucketName: oss-gxwebsoft
  bucketDomain: https://oss.wsdns.cn
  aliyunDomain: https://oss-gxwebsoft.oss-cn-shenzhen.aliyuncs.com

wx:
  miniapp:
    configs:
      - appid: wx309c034f7556aeb1
        secret: c8fa9e5ee2edc8c0bbd5f9c38df244ec
        msgDataFormat: JSON

